﻿@using Microsoft.AspNetCore.Mvc.Localization;
@using Microsoft.AspNetCore.Mvc.ModelBinding;
@using Microsoft.Extensions.Localization;
@using System.Web;
@inject IHtmlLocalizer HtmlLocalizer;
@inject IStringLocalizer Localizer;
@{
    string type = "danger";
    string icon = "alert-circled";
    if (ViewData.ModelState.ContainsKey("success"))
    {
        type = "main-3";
        icon = "check";
    }
    else if (ViewData.ModelState.ContainsKey("alert"))
    {
        type = "main-1";
        icon = "exclamation";
    }
}

@if (ViewData.ModelState.Keys.Any(k => ViewData.ModelState[k].Errors.Any()))
{
    foreach (var modelState in ViewData.ModelState.Values.Where(x => x.Errors.Any()))
    {
        for (int i = modelState.Errors.Count - 1; i >= 0; i--)
        {
            ModelError error = modelState.Errors[i];
            ModelError modelError;
            if (error.Exception != null)
                modelError = new ModelError(error.Exception, HtmlLocalizer.GetString(error.ErrorMessage));
            else
                modelError = new ModelError(HtmlLocalizer.GetString(error.ErrorMessage));

            modelState.Errors.RemoveAt(i);

            if (i == modelState.Errors.Count)
                modelState.Errors.Add(modelError);
            else
                modelState.Errors.Insert(i, modelError);
        }
    }
    <div class="alert alert-@type d-flex align-items-center" role="alert">
        <i class="bi flex-shrink-0 me-2 fa fa-@icon" aria-hidden="true"></i>
        <div>
            @Html.ValidationSummary(false)
        </div>
    </div>
}